Bug 1129891 - WSMQ rar version 7.5.0.3 throws exception when recover is called and no in-flight transaction exists
Summary: WSMQ rar version 7.5.0.3 throws exception when recover is called and no in-fl...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JMS
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Ondrej Chaloupka
QA Contact: Ondrej Chaloupka
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 21:23 UTC by Ondrej Chaloupka
Modified: 2014-12-18 10:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-18 10:46:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Ondrej Chaloupka 2014-08-13 21:23:44 UTC
This bug is not an issue of EAP but rather of WSMQ rar.

When there is no in-doubt transaction during recovery then rar throws unexpected exception which ends with WARNings messages [1] being written to server log each run of periodic recovery (which means each 2 minutes by default). Happening for EAP 6.2.x and 6.3.x as well.
This happens just in case that MDB is deployed on the server.

This is harmless, the warnings could be ignored but it causes mess in the log.

There was filled ticket on IBM and this behavior should be fixed in WSMQ 7.3.0.4.
http://www-01.ibm.com/support/docview.wss?uid=swg1IC97579

There is already discussion about this on community forum as well.
https://community.jboss.org/thread/235191


[1]
WARN  [com.arjuna.ats.jta] (Periodic Recovery) ARJUNA016027: Local XARecoveryModule.xaRecovery got XA exception XAException.XAER_INVAL: javax.transaction.xa.XAException: The method 'xa_recover' has failed with errorCode '-5'.
 at com.ibm.mq.jmqi.JmqiXAResource.recover(JmqiXAResource.java:806) [com.ibm.mq.jmqi.jar:7.5.0.3 - p750-003-140123]
 at com.ibm.mq.connector.RecoveryXAResource.recover(RecoveryXAResource.java:448) [com.ibm.mq.connector.jar:7.5.0.3-p750-003-140123]
 at org.jboss.jca.core.tx.jbossts.XAResourceWrapperImpl.recover(XAResourceWrapperImpl.java:177)
 at com.arjuna.ats.internal.jta.recovery.arjunacore.XARecoveryModule.xaRecoverySecondPass(XARecoveryModule.java:709) [jbossjts-jacorb-4.17.21.Final-redhat-2.jar:4.17.21.Final-redhat-2]
 at com.arjuna.ats.internal.jta.recovery.arjunacore.XARecoveryModule.bottomUpRecovery(XARecoveryModule.java:431) [jbossjts-jacorb-4.17.21.Final-redhat-2.jar:4.17.21.Final-redhat-2]
 at com.arjuna.ats.internal.jta.recovery.arjunacore.XARecoveryModule.periodicWorkSecondPass(XARecoveryModule.java:212) [jbossjts-jacorb-4.17.21.Final-redhat-2.jar:4.17.21.Final-redhat-2]
 at com.arjuna.ats.internal.arjuna.recovery.PeriodicRecovery.doWorkInternal(PeriodicRecovery.java:789) [jbossjts-jacorb-4.17.21.Final-redhat-2.jar:4.17.21.Final-redhat-2]
 at com.arjuna.ats.internal.arjuna.recovery.PeriodicRecovery.run(PeriodicRecovery.java:371) [jbossjts-jacorb-4.17.21.Final-redhat-2.jar:4.17.21.Final-redhat-2]

Comment 3 tom.jenkinson 2014-08-18 13:07:41 UTC
Hi Ondra,

I propose this be assigned to the docs team to release note it. What do you think?

Thanks,
Tom

Comment 9 Ondrej Chaloupka 2014-12-18 10:46:04 UTC
IBMMQ fixed the problem in 7.5.0.4. Verified.


Note You need to log in before you can comment on or make changes to this bug.